# std::experimental::observer_ptr::reset

From cppreference.com
< cpp‎ | experimental‎ | observer ptr

constexpr void reset(element_type* p = nullptr); |  | (library fundamentals TS v2)

Set `*this` to watch the object pointed to by `p`. get() returns `p` after the call.

### Parameters

ptr | - | pointer to a new object to watch

### Exceptions

`noexcept` specification:
noexcept

### Example

| This section is incomplete Reason: no example

### See also

release | returns a pointer to the watched object and stops watching the object (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/observer_ptr/reset&oldid=91548"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template